Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Interface Converter

All Known Subinterfaces:
  LocaleConverter

All Known Implementing Classes:
  AbstractArrayConverter, AbstractConverter, ConverterFacade

public interface Converter

General purpose data type converter that can be registered and used within the BeanUtils package to manage the conversion of objects from one type to another.

Converter subclasses bundled with the BeanUtils library are required to be thread-safe, as users of the library may call conversion methods from more than one thread simultaneously.

Custom converter subclasses created by users of the library can be non-thread-safe if the application using them is single-threaded. However it is recommended that they be written in a thread-safe manner anyway.

Since:
  1.3
Version:
  $Revision: 555824 $ $Date: 2007-07-13 01:27:15 +0100 (Fri, 13 Jul 2007) $
Author:
  Craig McClanahan, Paulo Gaspar

Method Summary
`java.lang.Object` | `convert(java.lang.Class type, java.lang.Object value)` Convert the specified input object into an output object of the specified type.

Method Detail

### convert

    public java.lang.Object convert(java.lang.Class type,
                                    java.lang.Object value)

  Convert the specified input object into an output object of the specified type.
  Parameters:
    `type` - Data type to which this value should be converted
    `value` - The input value to be converted
  Returns:
    The converted value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.